Subject: [Netconf] namespace issue in the sample <hello> in RFC474 2 netconf over ssh

From: "Xiang Li" <[email-masked]>
Date: Mon, 5 Oct 2009 11:02:27 -0700 (PDT)

Hi
 
In RFC4271, the sample hello message shows the <hello> must be in the netconf namespace:

  <hello xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
      <capabilities>
        <capability>
          urn:ietf:params:netconf:base:1.0
        </capability>
  </hello>

But in RFC4272 Netconf over SSH, the sample hello does not use
the netconf namespace:

    C: <hello>
    C:   <capabilities>
    C:     <capability>
    C:       urn:ietf:params:xml:ns:netconf:base:1.0
    C:     </capability>
    C:   </capabilities>
    C: </hello>
    C: ]]>]]>

It appears to me this is a bug in RFC4742 since RFC4741 says:

3.1.  Namespace

   All NETCONF protocol elements are defined in the following namespace:

      urn:ietf:params:xml:ns:netconf:base:1.0

I actually saw an implementation's <hello> message using the format as
documented in RFC4742.

Thanks,
Xiang Li

---

From: WashamFan <[email-masked]>
Date: Tue, 06 Oct 2009 22:06:06 +0800

> I actually saw an implementation's <hello> message using the format as

I don't think the implementation is a compliant one. (Maybe, the
implementation can interoperate with a complicant one)

washam

---

From: shikhar <[email-masked]>
Date: Wed, 7 Oct 2009 09:13:09 +0200

>> I actually saw an implementation's <hello> message using the format as

Ditto

> implementation can interoperate with a complicant one)

Not without a workaround. Well, technically it is compliant with RFC
4742 but non-compliant with RFC 4741, so that's a bug that needs
fixing.

Shikhar

> washam
>
>>
>> Thanks,
>> Xiang Li
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Martin Bjorklund <[email-masked]>
Date: Wed, 07 Oct 2009 09:23:35 +0200 (CEST)

shikhar <[email-masked]> wrote:
> On Tue, Oct 6, 2009 at 4:06 PM, WashamFan <[email-masked]>

Even 4742 says:

   [...] which MUST be followed by a <hello> element in the 'NETCONF'
   namespace.

I think it is clear that the example in 4742 which doesn't have a
namespace is a bug.

Chairs: should we file an errata for this?

/martin

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 7 Oct 2009 10:55:17 +0200

> From: [email-masked] On Behalf Of ext Martin Bjorklund
...
> Chairs: should we file an errata for this?

Yes, we should.

Mehmet